# Load the normal support files.
require 'sketchup.rb'
require 'extensions.rb'


# Create the extension.
ext = SketchupExtension.new 'Make Unique Texture ++',
    'ae_MakeUnique++/MakeUnique++.rb'

# Attach some nice info.
ext.creator     = 'Aerilius'
ext.version     = '1.0'
ext.copyright   = '2011, Andreas Eisenbarth'
ext.description = 'Makes textures on single or multiple faces unique. It crops textures to the best fitting borders and applies a higher quality interpolation than the default tool.'

# Register and load the extension on startup.
Sketchup.register_extension ext, true
